# MySQL-Front Dump 2.5
#
# Host: localhost   Database: bibliopera
# --------------------------------------------------------
# Server version 3.23.49-max-nt


#
# Table structure for table 'auteurs'
#

CREATE TABLE auteurs (
  idaut int(11) NOT NULL auto_increment,
  nom varchar(100) NOT NULL default '',
  prenom varchar(100) NOT NULL default '',
  commentaire text,
  PRIMARY KEY  (idaut),
  KEY ind_nom (nom),
  KEY ind_prenom (prenom)
) TYPE=MyISAM;



#
# Table structure for table 'bib_aut'
#

CREATE TABLE bib_aut (
  idpub int(11) NOT NULL default '0',
  idaut int(11) NOT NULL default '0',
  place int(11) default NULL,
  role varchar(50) default NULL,
  PRIMARY KEY  (idpub,idaut)
) TYPE=MyISAM;



#
# Table structure for table 'bib_coll'
#

CREATE TABLE bib_coll (
  idpub int(11) NOT NULL default '0',
  idcoll int(11) NOT NULL default '0',
  place int(11) default NULL,
  numcoll varchar(50) default NULL,
  PRIMARY KEY  (idpub,idcoll)
) TYPE=MyISAM;



#
# Table structure for table 'bib_index'
#

CREATE TABLE bib_index (
  idindex varchar(100) NOT NULL default '',
  idpub int(11) NOT NULL default '0',
  PRIMARY KEY  (idindex,idpub)
) TYPE=MyISAM;



#
# Table structure for table 'bib_loc'
#

CREATE TABLE bib_loc (
  idpub int(11) NOT NULL default '0',
  idloc int(11) NOT NULL default '0',
  PRIMARY KEY  (idpub,idloc)
) TYPE=MyISAM;



#
# Table structure for table 'bib_prod'
#

CREATE TABLE bib_prod (
  idpub int(11) NOT NULL default '0',
  idprod int(11) NOT NULL default '0',
  PRIMARY KEY  (idpub,idprod)
) TYPE=MyISAM;



#
# Table structure for table 'bibliotheques'
#

CREATE TABLE bibliotheques (
  idbiblio int(11) NOT NULL auto_increment,
  nom varchar(255) NOT NULL default '',
  adresse1 varchar(200) NOT NULL default '',
  adresse2 varchar(200) default NULL,
  code_postal int(11) default NULL,
  ville varchar(70) default NULL,
  etat_region varchar(70) default NULL,
  pays varchar(50) default NULL,
  site_web varchar(255) default NULL,
  catalogue varchar(100) default NULL,
  PRIMARY KEY  (idbiblio)
) TYPE=MyISAM;



#
# Table structure for table 'collections'
#

CREATE TABLE collections (
  idcoll int(11) NOT NULL auto_increment,
  nomcoll longtext NOT NULL,
  ISBN varchar(30) default NULL,
  PRIMARY KEY  (idcoll),
  KEY ind_nomcollection (nomcoll(255))
) TYPE=MyISAM;



#
# Table structure for table 'indexation'
#

CREATE TABLE indexation (
  idindex varchar(100) NOT NULL default '',
  titre text,
  PRIMARY KEY  (idindex)
) TYPE=MyISAM;



#
# Table structure for table 'localisations'
#

CREATE TABLE localisations (
  idloc int(11) NOT NULL auto_increment,
  bibliotheque int(11) NOT NULL default '0',
  cote varchar(100) default NULL,
  remarque text,
  PRIMARY KEY  (idloc)
) TYPE=MyISAM;



#
# Table structure for table 'producteurs'
#

CREATE TABLE producteurs (
  idprod int(11) NOT NULL auto_increment,
  nom varchar(100) NOT NULL default '',
  PRIMARY KEY  (idprod),
  UNIQUE KEY nomprod (nom)
) TYPE=MyISAM;



#
# Table structure for table 'refbib'
#

CREATE TABLE refbib (
  id int(11) NOT NULL auto_increment,
  alii text,
  aut_anc varchar(200) default NULL,
  titre text,
  ouvrage text,
  ref_ouvrage int(11) default NULL,
  ref_revue int(11) unsigned default NULL,
  num_revue varchar(30) default NULL,
  complements text,
  colloque longtext,
  role_dired varchar(50) default NULL,
  ident_dired varchar(200) default NULL,
  lieu varchar(200) default NULL,
  editeur varchar(200) default NULL,
  annee varchar(20) default NULL,
  pagination varchar(50) default NULL,
  support enum('papier','cd','web','mixte') default NULL,
  login varchar(20) NOT NULL default '',
  ip varchar(15) NOT NULL default '',
  date datetime NOT NULL default '0000-00-00 00:00:00',
  login_modif varchar(20) default 'NULL',
  date_modif datetime default '0000-00-00 00:00:00',
  commentaires text,
  type_labintel char(3) default NULL,
  url varchar(255) default NULL,
  ISBN varchar(30) default NULL,
  public int(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (id),
  UNIQUE KEY id (id),
  KEY ind_annee (annee),
  KEY ind_refrevue (ref_revue),
  KEY ind_ouvrage (ouvrage(255)),
  KEY ind_titre (titre(255)),
  KEY ind_login (login),
  KEY ind_date (date)
) TYPE=MyISAM;



#
# Table structure for table 'revue_loc'
#

CREATE TABLE revue_loc (
  idrevue int(11) NOT NULL default '0',
  idloc int(11) NOT NULL default '0',
  PRIMARY KEY  (idloc,idrevue)
) TYPE=MyISAM;



#
# Table structure for table 'revues'
#

CREATE TABLE revues (
  id_revue int(11) unsigned NOT NULL auto_increment,
  article varchar(20) default NULL,
  titre longtext NOT NULL,
  sigle varchar(20) default NULL,
  ISSN varchar(30) default NULL,
  PRIMARY KEY  (id_revue),
  KEY ISSN_2 (ISSN),
  KEY ISSN (ISSN)
) TYPE=MyISAM;



#
# Table structure for table 'users'
#

CREATE TABLE users (
  login char(8) NOT NULL default '',
  password char(8) NOT NULL default '',
  nom char(150) NOT NULL default '',
  prenom char(150) NOT NULL default '',
  admin enum('Y','N') NOT NULL default 'N'
) TYPE=MyISAM;



#
# Dumping data for table 'users'
#

INSERT INTO users VALUES("admin", "admin", "Administrateur", "", "Y");

